<?php

namespace App\Livewire\Categories;

use App\Models\Category;
use Livewire\Attributes\Layout;
use Livewire\Component;

#[Layout('layouts.dashboard')]
class Show extends Component
{
    public Category $category;

    public function mount(Category $category): void
    {
        $this->category = $category->load('products');
    }

    public function render(): \Illuminate\Contracts\View\View
    {
        return view('livewire.categories.show');
    }
}
